XFuXMFormatInstrument class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# XFuXMFormatInstrument Class Reference

`#include <XFuXMPlayer_internal.h>`

List of all members.

## Public Attributes

UINT32 | mSampleHeaderSize
| Sample header size.
UINT8 | mKeyboard [96]
| Sample number for all notes.
UINT16 | mVolumeEnvelope [24]
| Points for volume envelope.
UINT16 | mPanningEnvelope [24]
| Points for panning envelope.
UINT8 | mNbVolEnvPoints
| Number of volume envelope points.
UINT8 | mNbPanEnvPoints
| Number of panning envelope points.
UINT8 | mVolEnvSustain
| Volume envelope sustain point.
UINT8 | mVolEnvLoopStart
| Volume envelope loop start point.
UINT8 | mVolEnvLoopEnd
| Volume envelope loop end point.
UINT8 | mPanEnvSustain
| Panning envelope sustain point.
UINT8 | mPanEnvLoopStart
| Panning envelope loop start point.
UINT8 | mPanEnvLoopEnd
UINT8 | mVolEnvType
UINT8 | mPanEnvType
| Panning envelope type.
UINT8 | mVibratoType
| Vibrato type.
UINT8 | mVibratoSweep
| Vibrato sweep.
UINT8 | mVibratoDepth
| Vibrato depth.
UINT8 | mVibratoRate
| Vibrato rate.
UINT16 | mVolumeFadeout
| Volume fadeout speed.
UINT16 | mReserved
| Reserved.

## Member Data Documentation

UINT8 XFuXMFormatInstrument::mKeyboard[96]

| Sample number for all notes. Definition at line 126 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::loadXM().

UINT8 XFuXMFormatInstrument::mNbPanEnvPoints

| Number of panning envelope points. Definition at line 131 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::loadXM().

UINT8 XFuXMFormatInstrument::mNbVolEnvPoints

| Number of volume envelope points. Definition at line 130 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::loadXM().

UINT8 XFuXMFormatInstrument::mPanEnvLoopEnd

| Panning envelope loop end point. Volume envelope type. Definition at line 137 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::loadXM().

UINT8 XFuXMFormatInstrument::mPanEnvLoopStart

| Panning envelope loop start point. Definition at line 136 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::loadXM().

UINT8 XFuXMFormatInstrument::mPanEnvSustain

| Panning envelope sustain point. Definition at line 135 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::loadXM().

UINT8 XFuXMFormatInstrument::mPanEnvType

Panning envelope type.

- Bit 0: On
- Bit 1: Sustain
- Bit 2: Loop

Definition at line 149 of file XFuXMPlayer_internal.h.

Referenced by XFuXMPlayer::loadXM().

UINT16 XFuXMFormatInstrument::mPanningEnvelope[24]

| Points for panning envelope. Definition at line 129 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::loadXM().

UINT16 XFuXMFormatInstrument::mReserved

| Reserved. Definition at line 158 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::loadXM().

UINT32 XFuXMFormatInstrument::mSampleHeaderSize

| Sample header size. Definition at line 124 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::loadXM().

UINT8 XFuXMFormatInstrument::mVibratoDepth

| Vibrato depth. Definition at line 153 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::loadXM().

UINT8 XFuXMFormatInstrument::mVibratoRate

| Vibrato rate. Definition at line 154 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::loadXM().

UINT8 XFuXMFormatInstrument::mVibratoSweep

| Vibrato sweep. Definition at line 152 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::loadXM().

UINT8 XFuXMFormatInstrument::mVibratoType

| Vibrato type. Definition at line 151 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::loadXM().

UINT8 XFuXMFormatInstrument::mVolEnvLoopEnd

| Volume envelope loop end point. Definition at line 134 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::loadXM().

UINT8 XFuXMFormatInstrument::mVolEnvLoopStart

| Volume envelope loop start point. Definition at line 133 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::loadXM().

UINT8 XFuXMFormatInstrument::mVolEnvSustain

| Volume envelope sustain point. Definition at line 132 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::loadXM().

UINT8 XFuXMFormatInstrument::mVolEnvType

- Bit 0: On
- Bit 1: Sustain
- Bit 2: Loop

Definition at line 143 of file XFuXMPlayer_internal.h.

Referenced by XFuXMPlayer::loadXM().

UINT16 XFuXMFormatInstrument::mVolumeEnvelope[24]

| Points for volume envelope. Definition at line 128 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::loadXM().

UINT16 XFuXMFormatInstrument::mVolumeFadeout

| Volume fadeout speed. Definition at line 156 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::loadXM().

The documentation for this class was generated from the following file:

- XFuXMPlayer_internal.h

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch